Package org.apache.lucene.search

## Class MultiPhraseQuery.UnionFullPostingsEnum

- java.lang.Object
- - org.apache.lucene.search.DocIdSetIterator
  - - org.apache.lucene.index.PostingsEnum
    - - org.apache.lucene.search.MultiPhraseQuery.UnionPostingsEnum
      - - org.apache.lucene.search.MultiPhraseQuery.UnionFullPostingsEnum

- Enclosing class:
    MultiPhraseQuery

      public static class MultiPhraseQuery.UnionFullPostingsEnum
      extends MultiPhraseQuery.UnionPostingsEnum

  Slower version of UnionPostingsEnum that delegates offsets and positions, for use by MatchesIterator
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.index.PostingsEnum

      `ALL, FREQS, NONE, OFFSETS, PAYLOADS, POSITIONS`

    - ### Fields inherited from class org.apache.lucene.search.DocIdSetIterator

      `NO_MORE_DOCS`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnionFullPostingsEnum​(List<PostingsEnum> subs)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `endOffset()` | Returns end offset for the current position, or -1 if offsets were not indexed.
    `int` | `freq()` | Returns term frequency in the current document, or 1 if the field was indexed with `IndexOptions.DOCS`.
    `BytesRef` | `getPayload()` | Returns the payload at this position, or null if no payload was indexed.
    `int` | `nextPosition()` | Returns the next position, or -1 if positions were not indexed.
    `int` | `startOffset()` | Returns start offset for the current position, or -1 if offsets were not indexed.

    - ### Methods inherited from class org.apache.lucene.search.MultiPhraseQuery.UnionPostingsEnum

      `advance, cost, docID, nextDoc`

    - ### Methods inherited from class org.apache.lucene.index.PostingsEnum

      `featureRequested`

    - ### Methods inherited from class org.apache.lucene.search.DocIdSetIterator

      `all, empty, range, slowAdvance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnionFullPostingsEnum

          public UnionFullPostingsEnum​(List<PostingsEnum> subs)

  - ### Method Detail

    - #### freq

          public int freq()
                   throws IOException

      Description copied from class: `PostingsEnum`
      Returns term frequency in the current document, or 1 if the field was indexed with `IndexOptions.DOCS`. Do not call this before `DocIdSetIterator.nextDoc()` is first called, nor after `DocIdSetIterator.nextDoc()` returns `DocIdSetIterator.NO_MORE_DOCS`.

      NOTE: if the `PostingsEnum` was obtain with `PostingsEnum.NONE`, the result of this method is undefined.

      Overrides:
        `freq` in class `MultiPhraseQuery.UnionPostingsEnum`
      Throws:
        `IOException`

    - #### nextPosition

          public int nextPosition()
                           throws IOException

      Description copied from class: `PostingsEnum`
      Returns the next position, or -1 if positions were not indexed. Calling this more than `PostingsEnum.freq()` times is undefined.
      Overrides:
        `nextPosition` in class `MultiPhraseQuery.UnionPostingsEnum`
      Throws:
        `IOException`

    - #### startOffset

          public int startOffset()
                          throws IOException

      Description copied from class: `PostingsEnum`
      Returns start offset for the current position, or -1 if offsets were not indexed.
      Overrides:
        `startOffset` in class `MultiPhraseQuery.UnionPostingsEnum`
      Throws:
        `IOException`

    - #### endOffset

          public int endOffset()
                        throws IOException

      Description copied from class: `PostingsEnum`
      Returns end offset for the current position, or -1 if offsets were not indexed.
      Overrides:
        `endOffset` in class `MultiPhraseQuery.UnionPostingsEnum`
      Throws:
        `IOException`

    - #### getPayload

          public BytesRef getPayload()
                              throws IOException

      Description copied from class: `PostingsEnum`
      Returns the payload at this position, or null if no payload was indexed. You should not modify anything (neither members of the returned BytesRef nor bytes in the byte[]).
      Overrides:
        `getPayload` in class `MultiPhraseQuery.UnionPostingsEnum`
      Throws:
        `IOException`